## ros-noetic-moveit-fake-controller-manager 1.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_fake_controller_manager)

find_package(Boost REQUIRED thread)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  pluginlib
  roscpp
)
moveit_build_options()

include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

catkin_package(
  LIBRARIES
  INCLUDE_DIRS
  CATKIN_DEPENDS
    moveit_core
    moveit_ros_planning
    roscpp
)

add_library(${PROJECT_NAME}
   src/moveit_fake_controller_manager.cpp
   src/moveit_fake_controllers.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(FILES moveit_fake_controller_manager_plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
       )

=== debian/changelog ===
ros-noetic-moveit-fake-controller-manager (1.1.11-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.10-1buster) buster; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Michael Görner <me@v4hn.de>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.9-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.8-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.7-1buster) buster; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof

 -- Michael Görner <me@v4hn.de>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Robert Haschke, pvanlaar

 -- Michael Görner <me@v4hn.de>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.5-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.4-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.3-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.2-1buster) buster; urgency=high

  * Fix formatting errors
  * Contributors: Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.1-1buster) buster; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.0-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.6-1buster) buster; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.5-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.4-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.3-1buster) buster; urgency=high

  * [fix]   Handle "default" parameter in MoveitControllerManagers
    MoveIt{Fake|Simple}ControllerManager::getControllerState() now correctly returns current state
  * [fix]   Handle incomplete group states
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan, Luca Lach

 -- Michael Görner <me@v4hn.de>  Sat, 25 Apr 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.2-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.1-1buster) buster; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Michael Görner <me@v4hn.de>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.0-1buster) buster; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 23 Feb 2019 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.8-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 Dec 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.7-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 Dec 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.6-1buster) buster; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 08 Dec 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.5-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 31 Oct 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.4-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.3-1buster) buster; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.2-1buster) buster; urgency=high

  * [fix] latch initial pose published by fake_controller_manager (#1092 <https://github.com/ros-planning/moveit/issues/1092>)


=== debian/control ===
Source: ros-noetic-moveit-fake-controller-manager
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-roscpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-fake-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-roscpp
Description: A fake controller manager plugin for MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-fake-controller-manager//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-moveit-fake-controller-manager 1.1.13

=== debian/changelog ===
ros-noetic-moveit-fake-controller-manager (1.1.13-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.12-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.11-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.10-2focal) focal; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Michael Görner <me@v4hn.de>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.9-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.8-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.7-2focal) focal; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof

 -- Michael Görner <me@v4hn.de>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.6-2focal) focal; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Robert Haschke, pvanlaar

 -- Michael Görner <me@v4hn.de>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.5-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.4-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.3-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.2-2focal) focal; urgency=high

  * Fix formatting errors
  * Contributors: Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.1-2focal) focal; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.1.0-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.6-2focal) focal; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.5-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.4-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.3-2focal) focal; urgency=high

  * [fix]   Handle "default" parameter in MoveitControllerManagers
    MoveIt{Fake|Simple}ControllerManager::getControllerState() now correctly returns current state
  * [fix]   Handle incomplete group states
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan, Luca Lach

 -- Michael Görner <me@v4hn.de>  Sat, 25 Apr 2020 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.2-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.1-2focal) focal; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Michael Görner <me@v4hn.de>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (1.0.0-2focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 23 Feb 2019 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.8-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 Dec 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.7-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 Dec 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.6-2focal) focal; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sat, 08 Dec 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.5-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 31 Oct 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.4-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-fake-controller-manager (0.10.3-2focal) focal; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 28 Oct 2018 23:00:00 -0000
